body{
    margin: 0;
}

header{
    display: flex;
    width: 100%;
    height: 12vh;
    position: sticky;
    top: 0;
    background-color: #2C3E50 ;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    z-index: 1;

    & > a{
        text-decoration: none;

        & > img{
            height: 5vh;
            padding-left: 15px;
        }
    }

    & > .btnHolder{
        display: flex;
        padding-right: 15px;
        gap: 1.5rem;
        align-items: center;

        & > a{
            border: none;
            color: #BDC3C7;
            font-size: 14px;
            cursor: pointer;
            font-family: "Stack Sans Text", sans-serif;
            font-weight: 200;
            text-decoration: none;

            &:hover{
                color: #ECF0F1;
            }
        }

        & > a:nth-child(1){
            height: 33px;
            width: 7rem;
            background-color: #D2042D;
            border-radius: 20px;
            font-weight: 400;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        & > .openChatBtn{
            height: 33px;
            width: 5rem;
            background-color: transparent;
            border-radius: 10px;
            font-weight: 400;
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid #BDC3C7;
            &:hover{
                background-color: rgba(178, 178, 178, 0.196);
            }
        }


        & > .dropdown-center{
            display: flex;
            align-items: center;

            & > button{
                background-color: transparent;
                border: none;
                color: #BDC3C7;
                font-size: 14px;
                cursor: pointer;
                font-family: "Stack Sans Text", sans-serif;
                padding: 0;
                margin: 0;
                font-weight: 200;

                &:hover{
                    color: #ECF0F1;
                }
            }

            & > ul{
                background-color: #BDC3C7;

                & > li{
                    background-color: transparent;

                    & > a{
                        color: black;
                        font-weight: 200;
                        font-size: 14px;
                        font-weight: 200;
                        font-family: "Stack Sans Text", sans-serif;

                        &:hover{
                            background-color: rgba(128, 128, 128, 0.178);
                        }
                    }
                }
            }
        }

        & > .bookBtn{
            border: none;
            color: #BDC3C7;
            font-size: 14px;
            cursor: pointer;
            font-family: "Stack Sans Text", sans-serif;
            font-weight: 200;
            text-decoration: none;
            width: fit-content;
        }

        & > button{
            border: 2px solid #BDC3C7;
            height: 33px;
            width: 5.5rem;
            border-radius: 10px;
            font-weight: 300;
            color: #BDC3C7;
            font-size: 14px;
            cursor: pointer;
            font-family: "Stack Sans Text", sans-serif;
            font-weight: 200;

            &:hover{
                color: #ECF0F1;
            }
        }
    }
}

.inline-flex{
    font-family: "Stack Sans Text", sans-serif;
    font-weight: 300;

    &:hover{
        font-weight: 500;
    }
}

.section1{
    display: flex;
    height: 90vh;
    width: 100%;
    background-color: #ECF0F1;
    background-image: url('../img/Bg4.png');
    background-position: right bottom;
    background-size: 150vh;
    background-repeat: no-repeat;
    flex-direction: column;
    padding: 10vh 0px 0px 5rem;

    & > h1{
        font-weight: 900;
        font-size: 4rem;
        width: 50%;
        color: #D2042D;
        font-family: "Poppins", sans-serif;

        & > span{
            font-size: 4rem;
            color: #2C3E50;
        }
    }

    & > h4{
        font-size: 1.2rem;
        font-weight: 200;
        color: #2C3E50;
        font-family: "Stack Sans Text", sans-serif;
        padding-left: 5px;
    }
}


.section2{
    display: flex;
    flex-direction: column;
    height: 90vh;
    width: 100%;
    align-items: flex-end;
    background-color: #ECF0F1;
    background-image: url('../img/Bg6.png');
    background-position: left bottom;
    background-size: 50vh;
    background-repeat: no-repeat;
    gap: 40px;
    padding-top: 9vh;
    padding-right: 3rem;

    & > h1{
        font-weight: 900;
        font-size: 2.5rem;
        font-family: "Poppins", sans-serif;
        color: #2C3E50;
    }

    & > .container-holder{
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 1rem ;

        & > .container{
            display: flex;
            flex-direction: column;
            background-color: rgb(214, 214, 5);
            border-radius: 20px;
            justify-content: center;
            align-items: center;
            width: 15rem;
            height: 38vh;
            text-align: center;
            border: 2px solid black;
            gap: 5px;
            box-shadow: 0px 0px 10px rgb(157, 157, 157);
            border-radius: 20px 0px 20px 0px;

            & > i{
                display: flex;
                justify-content: center;
                align-items: center;
                font-size: 2rem;
                border-radius: 10px;
                color: black;
                border-radius: 10px ;
            }
                & > h4{
                font-weight: 700;
                font-size: 1rem;
                padding-top: 1rem;
                font-family: "Stack Sans Headline", sans-serif;
                color: black;
            }

            & > p{
                font-family: "Stack Sans Text", sans-serif;
                font-size: 14px;
            }
        }
    }
}



.section3{
    display: flex;
    height: 100vh;
    width: 100%;
    background-color: #ECF0F1;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    & > .container-holder{
        display: flex;
        justify-content: center;
        flex-direction: row;
        align-items: center;
        width: 70%;
        height: 60%;
        border: 2px solid black;
        border-radius: 20px;
        overflow: hidden;

        & > .left-container{
            display: flex;
            width: 60%;
            height: 100%;
            align-items: center;
            gap: 1rem;
            flex-direction: column;
            background-color: #BDC3C7;
  
            & > h1{
                font-weight: 900;
                font-size: 2rem;
                color: #2C3E50;
                padding: 3rem 0rem 2rem 0rem;
                font-family: "Poppins", sans-serif;
            }

            & > .holder{
                display: flex;
                height: 3.2rem;
                width: 22rem;
                background-color: #7F8C8D;
                justify-content: flex-start;
                align-items: center;
                border-radius: 15px;
                color: white;
                gap: 10px;
                flex-direction: row;
                padding-left: 15px;

                & > i{
                    font-size: 20px;
                    color: rgb(141, 234, 1);
                }
                & > p{
                    font-size: 15px;
                    margin: 0;
                    font-family: "Stack Sans Text", sans-serif;
                    font-weight: 100;

                }
            }
        }

        & > .right-container{
            display: flex;
            width: 40%;
            height: 100%;
            align-items: flex-end;
            justify-content: center;
            background-color: transparent;

            & > img{
                height: 48vh;
            }
         
        }
    }

}

.section4{
    display: flex;
    width: 100%;
    height: 90vh;
    background-color: #ECF0F1;
    flex-direction: row;

    & > h2{
        font-weight: 900;
        font-size: 2.2rem;
        transform: rotate(-10deg);
        align-self: flex-start;
        padding-left: 15%;
        color: #2C3E50;
        font-family: "Poppins", sans-serif;
    }

    & > .form-holder{
        display: flex;
        width: 37%;
        height: 85vh;
        justify-content: center;
        align-items: center;
        border: 2px solid #2C3E50;
        border-radius: 10px;
        flex-direction: column;
        margin-top: 20px;
        background-color: transparent;
        box-shadow: 1px 1px 10px whitesmoke;

        
        & > .form-1{
            display: flex;
            flex-direction: column;
            color: black;
            font-size: 14px;
            width: 90%;
            height: 100%;

            & > p{
                font-weight: normal;
                font-size: 12px;
                margin: 0;
                padding-top: 25px;
                font-family: "Stack Sans Text", sans-serif;
                color: black;
            }

            & > .name-holder , & > .email-holder , & > .address-holder{
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                column-gap: 10px;
                width: 100%;

                & > .coolinput {
                    display: flex;
                    flex-direction: column;
                    width: fit-content;
                    position: static;
                    flex: 0 0 calc(50% - 5px);

                    & > label.text {
                        font-size: 0.75rem;
                        font-weight: 500;
                        color: black;
                        position: relative;
                        top: 0.5rem;
                        margin: 0 0 0 7px;
                        padding: 0 3px;
                        background: #ECF0F1;
                        width: fit-content;
                    }

                    & > input {
                        padding: 11px 10px;
                        font-size: 14px;
                        border: 2px gray solid;
                        border-radius: 5px;
                        background: #ECF0F1;

                        &:focus{
                            border: 2px black solid;
                            outline: none;

                            &::placeholder{
                                color: black;
                            }
                        }

                        &::placeholder{
                            font-size: 12px;
                            color: gray;
                        }
                    }

                    & > select{
                        padding: 11px 10px;
                        font-size: 0.75rem;
                        border: 2px gray solid;
                        border-radius: 5px;
                        background: #ECF0F1;
                        color: black;

                        &:focus{
                            outline: none;
                        }
                    }
                }
            }

            & > button{
                display: flex;
                background-color: #2C3E50;
                height: 2.2rem;
                width: 5rem;
                align-items: center;
                justify-content: center;
                border-radius: 6px;
                color: white;
                font-size: 14px;
                cursor: pointer;
                margin-top: 2rem;
                align-self: flex-end;

                &:hover{
                    background-color: #7F8C8D;
                }
            }
        }

        & > .form-2 , & > .form-3 , &  > .form-4 , & > .form-5{
            display: none;
            flex-direction: column;
            color: black;
            font-size: 14px;
            width: 90%;
            height: 100%;
            align-items: center;
            justify-content: center;

            & > .title{
                display: flex;
                flex-direction: column;
                text-align: center;

                & > h4{
                    font-weight: 900;
                    font-size: 2rem;
                    color: #2C3E50;
                }

                & > p{
                    font-size: 14px;
                    margin: 0;
                    font-family: "Stack Sans Text", sans-serif;
                }
            }

            & > .custum-file-upload {
                display: flex;
                flex-direction: column;
                align-items: space-between;
                height: 35vh;
                width: 300px;
                margin-top: 2rem;
                gap: 20px;
                cursor: pointer;
                align-items: center;
                justify-content: center;
                border: 2px dashed #2C3E50;
                background-color: rgba(215, 215, 215, 0.609);
                padding: 1.5rem;
                border-radius: 10px;
                box-shadow: 0px 48px 35px -48px rgba(0,0,0,0.1);

                & > .icon {
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    & > i{
                        font-size: 80px;
                        color: rgba(75, 85, 99, 1);
                    }
                }

                & > .text{
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    & > span{
                        font-weight: 400;
                        color: rgba(75, 85, 99, 1);
                    }
                }

                & > input{
                    display: none;
                }
            }

            & > .preview-holder{
                & > iframe , & > img{
                height: 35vh;
                width: 200px;
                margin-top: 1rem;
                border-radius: 5px;
                }
            }

            & > .fileRemoverBtn{
                color: #D2042D;
                font-family: "Stack Sans Text", sans-serif;
                border-radius: 10px;
                font-size: 14px;
                padding: 5px;
                margin-top: 10px;
                display: none;
            }

            & > .button-holder{
                display: flex;
                flex-direction: row;
                justify-content: flex-end;
                width: 100%;
                gap: 1rem;
                margin-top: 2rem;

                & > button:nth-child(1){
                    background-color: gray;
                }

                & > button{
                    display: flex;
                    background-color: #2C3E50;
                    height: 2.2rem;
                    width: 5rem;
                    align-items: center;
                    justify-content: center;
                    border-radius: 6px;
                    color: white;
                    font-size: 14px;
                    cursor: pointer;
                    align-self: flex-end;

                    &:hover{
                        border: 2px solid #BDC3C7 ;
                        background-color: #697474;
                    }
                }
            }
        }

    }
}

.modal{
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.78);
    justify-content: center;
    align-items: center;
    z-index: 100;

    & > .modal-content{
        display: flex;
        flex-direction: column;
        width: 40%;
        height: 70vh;
        align-items: center;
        color: black;
        background-color: #2C3E50 ;
        justify-content: center;
        transition:  0.1s ease;
        
        & > span {
            display: flex;
            align-self: end;
            color: rgb(184, 184, 184);
            font-size: 2rem;
            float: right;
            cursor: pointer;
            padding-right: 10px;

            &:hover{
                color: whitesmoke;
            }
        }

        & > .loginContent{
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100%;
            width: 100%;
            gap: 1rem;

            & > .top{
                display: flex;
                width: 100%;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                gap: 10px;
                
                & > img{
                    height: 9vh;
                }
                & > p{
                    font-size: 1rem;
                    color: #BDC3C7;
                    font-family: "Stack Sans Text", sans-serif;
                    font-weight: 200;
                }
            }

            & > form{
                display: flex;
                align-items: center;
                flex-direction: column;
                color: black;
                font-size: 14px;
                width: 16rem;
                height: 90%;
                gap: 1rem;

                & > .input-holder {
                    display: flex;
                    line-height: 30px;
                    align-items: center;
                    position: relative;
                    width: 16rem;
                    height: 45px;

                    & > i {
                        position: absolute;
                        left: 1rem;
                        width: 1rem;
                        height: 1rem;
                        color: #BDC3C7;
                        z-index: 1;
                    }

                    & > input {
                        width: 100%;
                        height: 100%;
                        line-height: 30px;
                        padding-left: 3rem;
                        border: 2px solid #7F8C8D;
                        border-radius: 6px;
                        outline: none;
                        transition: .5s ease;
                        background: transparent;
                        backdrop-filter: blur(4.7px);
                        -webkit-backdrop-filter: blur(3.1px);
                        color: #ECF0F1;

                        &::placeholder{
                            color: #BDC3C7;
                            font-size: 14px;
                        }

                        &:focus, &:hover {
                            outline: none;
                            border: 2px solid #BDC3C7 ;
                            box-shadow: 0 0 0 3px rgba(194, 194, 194, 0.27);

                            &::placeholder{
                                color: #ECF0F1 ;
                            }
                        }
                    }

                    & > .toggle-btn {
                            position: absolute;
                            right: 1rem;
                            cursor: pointer;
                            user-select: none;
                            color: #BDC3C7;
                            font-size: 14px;

                            &:hover{
                                color: #9ea3a6;
                            }
                        }
                }

                & > .error{
                    font-size: 14px;
                    padding-top: 0;
                    margin: 0;
                    width: 15.5rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    font-weight: 200;
                    font-family: "Stack Sans Text", sans-serif;
                    color: rgb(255, 20, 20);
                }

                & > button{
                    display: flex;
                    border: 2px solid #BDC3C7;
                    background-color: #7F8C8D;
                    justify-self: center;
                    height: 45px;
                    width: 16rem;
                    align-items: center;
                    justify-content: center;
                    border-radius: 6px;
                    color: white;
                    font-size: 14px;
                    cursor: pointer;

                    &:hover{
                        border: 2px solid #BDC3C7 ;
                        background-color: #697474;
                    }
                }

                & > a{
                    display: flex;
                    align-self: flex-start;
                    color: rgb(167, 167, 167);
                    padding-left: 3px;
                    cursor: pointer;
                }
                
                & > .registerBtn{
                    display: flex;
                    flex-direction: row;
                    justify-content: center;
                    align-items: center;

                    & > p{
                        color: white;
                        font-size: 14px;
                        margin: 0;
                    }

                    & > button{
                        background-color: transparent;
                        border: none;
                        font-size: 14px;
                        color: white;
                        font-weight: 600;
                        cursor: pointer;
                        padding-left: 4px;

                        &:hover{
                            color: rgb(174, 174, 174);
                        }
                    }
                }
            }
        }

        & > .registerContent{
            display: none;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100%;
            width: 100%;
            gap: 1rem;
            
            & > .top{
                display: flex;
                width: 100%;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                
                & > img{
                    height: 9vh;
                }
                & > p{
                    font-size: 1rem;
                    color: #BDC3C7;
                    font-family: "Stack Sans Text", sans-serif;
                    padding-top: 10px;
                    font-weight: 200;
                }
            }
            
            & > form{
                display: flex;
                align-items: center;
                flex-direction: column;
                color: black;
                font-size: 14px;
                width: 16rem;
                height: 90%;
                gap: 1rem;

                & > .name{
                    display: flex;
                    flex-direction: row;
                    gap: 10px;
                
                    & > input {
                        width: 10.2rem;
                        height: 45px;
                        line-height: 30px;
                        padding: 0 1rem;
                        border-radius: 6px;
                        outline: none;
                        border: 2px solid #7F8C8D;
                        transition: .5s ease;
                        background: rgba(255, 255, 255, 0.05);
                        backdrop-filter: blur(8.7px);
                        -webkit-backdrop-filter: blur(3.1px);
                        color: #ECF0F1;

        
                        &::placeholder{
                            color: #BDC3C7;
                            font-size: 14px;
                        }
                    
                        &:focus, &:hover {
                            outline: none;
                            border: 2px solid #BDC3C7 ;
                            box-shadow: 0 0 0 3px rgba(194, 194, 194, 0.27);
            
                            &::placeholder{
                                color: #ECF0F1 ;
                            }
                        }
                    }
                }
                
                & > .input-holder {
                    display: flex;
                    line-height: 30px;
                    align-items: center;
                    position: relative;
                    width: 21rem;
                    height: 45px;

                    & > i {
                        position: absolute;
                        left: 1rem;
                        fill: none;
                        width: 1rem;
                        height: 1rem;
                        color: #BDC3C7;
                        z-index: 1;
                    }

                    & > input {
                        width: 100%;
                        height: 100%;
                        line-height: 30px;
                        padding: 0 1rem;
                        padding-left: 3rem;
                        border: 2px solid #7F8C8D;
                        border-radius: 6px;
                        outline: none;
                        transition: .5s ease;
                        background: rgba(255, 255, 255, 0.05);
                        backdrop-filter: blur(4.7px);
                        -webkit-backdrop-filter: blur(3.1px);
                        color: #ECF0F1;
        
                        &::placeholder{
                            color: #BDC3C7;
                            font-size: 14px;
                        }
                    
                        &:focus, &:hover {
                            outline: none;
                            border: 2px solid #BDC3C7 ;
                            box-shadow: 0 0 0 3px rgba(194, 194, 194, 0.27);
            
                            &::placeholder{
                                color: #ECF0F1 ;
                            }
                        }
                    }

                    & > .toggle-btn {
                        position: absolute;
                        right: 1rem;
                        cursor: pointer;
                        user-select: none;
                        color: #BDC3C7;
                        font-size: 14px;
                    }
                }

                & > button{
                    display: flex;
                    border: 2px solid #BDC3C7;
                    background-color: #7F8C8D;
                    justify-self: center;
                    height: 2.8rem;
                    width: 21rem;
                    align-items: center;
                    justify-content: center;
                    border-radius: 6px;
                    color: white;
                    font-size: 14px;
                    margin-top: 1rem;
                    cursor: pointer;

                    &:hover{
                        border: 2px solid #BDC3C7 ;
                        background-color: #697474;
                    }
                }

                & > button:last-child{
                    border: none;
                    border-radius: 0;
                    background-color: rgba(87, 87, 87, 0.569);
                    margin-top: 0;
                    cursor: pointer;

                    &:hover{
                        background-color: rgba(74, 73, 73, 0.569);
                    }
                }

                & > .error{
                    font-size: 14px;
                    padding-top: 0;
                    margin: 0;
                    width: 21rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    font-weight: 200;
                    font-family: "Stack Sans Text", sans-serif;
                    color: rgb(255, 20, 20);
                }
            }
        }
    }
}
